Author Topic: LinuxMCE in existing MythTV and Asterisk environment  (Read 956 times)

eloy

  • Regular Poster
  • **
  • Posts: 19
    • View Profile
LinuxMCE in existing MythTV and Asterisk environment
« on: August 24, 2007, 09:06:24 am »
Hello all,

I already have a MythTV and Asterisk environment (one server for each). I'd like to try LinuxMCE but I was wondering if it is possible to configure it to use my existing Myth and Asterisk setup instead of configuring everything again in the new LinuxMCE install. Couple of reasons I want to do this:

- Both Myth and Asterisk are being used in production - both are completely stable, the whole family uses Myth, and I use a VoIP provided that is connected to my Asterisk server. Moving these services to the new LinuxMCE install would cause unwanted disruption and likely introduce instabilities.

- The Myth server is both the backend and the main frontend. Most likely the LinuxMCE machine will be a different one (in a different room), which will require moving all the TV capture hardware (I've got three tuners) to the LinuxMCE machine. Major pain.

- Both machines being used for Myth and Asterisk provide other services as well (web servers, e-mail, spam scanning, backup services, etc.) It's not easy for me to bring them down, netboot, and use them for LinuxMCE.

Has anyone being able to re-use an existing Asterisk and Myth setup with LinuxMCE? I don't care if this is not achievable through an idiot-proof installation - my stuff is running on Debian unstable and I've been using Debian for 10 years, so I don't mind editing configuration files and tweaking the system manually.

And while we are on the topic, is Kubuntu really a requirement? I mean, is it not possible to install the Debian's KDE packages and on top of that the LinuxMCE packages? I think that making LinuxMCE distribution-agnostic would be extremely cool. Anyone working on this?

Thanks for any comments on these topics.

Cheers,

Eloy.-

GoManutd

  • Regular Poster
  • **
  • Posts: 27
    • View Profile
Re: LinuxMCE in existing MythTV and Asterisk environment
« Reply #1 on: August 24, 2007, 09:31:03 pm »
So far as I know, you don't have the option to not install asterisk...

However, if you have an existing asterisk box you could always connect the two via IAX...  You'd have to manually configure asterisk on your linuxmce box, but it would provide you with a redundant pbx AND would allows linuxmce to receive calls :)

dopey

  • Guru
  • ****
  • Posts: 223
    • View Profile
Re: LinuxMCE in existing MythTV and Asterisk environment
« Reply #2 on: August 25, 2007, 01:55:30 am »
You will need to have Asterisk on you Core, but you can copy your config files over and use them directly. I did that once and then I decided to use the LinuxMCE standard way as LinuxMCE keeps a lot of configuration inforation in its databases that it needs to do some of the cooler things. This was a disruiption in service, but it's the best way really.

As for MythTV... I wish... This is actually a big problem for me. It seems LinuxMCE uses an outdated version of MythTV and is incompatible with the newer releases. However, if your backend is the same version then you can use your existing Myth system. Although you should move the database to the Core.

I almost forgot... the Kubuntu thing is being discussed in the Developer forum. I still don't understand it's rational...

eloy

  • Regular Poster
  • **
  • Posts: 19
    • View Profile
Re: LinuxMCE in existing MythTV and Asterisk environment
« Reply #3 on: August 25, 2007, 03:21:17 am »
You will need to have Asterisk on you Core, but you can copy your config files over and use them directly. I did that once and then I decided to use the LinuxMCE standard way as LinuxMCE keeps a lot of configuration inforation in its databases that it needs to do some of the cooler things. This was a disruiption in service, but it's the best way really.

Yeah, this is definitely an option. A couple of days of service interruption is not a big deal. I was more worried about extended instability. My only concern is that the version of Asterisk in Ubuntu Feisty is the old 1.2.x series, and the one I am currently using is 1.4.x from Debian unstable. Asterisk configuration files are not backward-compatible so I'd need to redo my Asterisk config. (and I spent some time fixing some things in the 1.2 to 1.4 migration.)

Ubuntu Gutsy does have Asterisk 1.4.x. Guess one option is to try APT pinning to get Asterisk 1.4.x after doing the LinuxMCE initial install.

Quote
As for MythTV... I wish... This is actually a big problem for me. It seems LinuxMCE uses an outdated version of MythTV and is incompatible with the newer releases. However, if your backend is the same version then you can use your existing Myth system. Although you should move the database to the Core.

Indeed, this is a big problem.

Quote

I almost forgot... the Kubuntu thing is being discussed in the Developer forum. I still don't understand it's rational...

Oh, cool. I'll check it out; thanks for the info.

Cheers,

Eloy.-